Bug 33394 - upgrating to rpm 4.0.2 fails
upgrating to rpm 4.0.2 fails
Status: CLOSED DUPLICATE of bug 34792
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2001-03-27 10:47 EST by Alex Duggan
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-28 11:17:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Duggan 2001-03-27 10:47:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win95; U)

When I tried to upgrate my rpm to version 4.0.2 using the 'rpm -Uvh' command, I get the following error:  "execution of rpm-4.0.2-7x 
script failed, exit status 1"

Reproducible: Always
Steps to Reproduce:
1.log in as root
2.run rpm -Uvh rpm-4.0.2-7.x.1386.rpm
Comment 1 Jeff Johnson 2001-03-27 11:52:23 EST
Is this a failure from the %pre scriptlet? (Verify by doing "-Uvv" when

If so, then look in /var/lib/rpm for both of the files Packages and
packages.rpm. Rename
the smaller of the 2 files (probably Packages) to something else, and try the
Comment 2 Jeff Johnson 2001-04-05 08:58:29 EDT

*** This bug has been marked as a duplicate of 34792 ***
Comment 3 Anthony Rumble 2001-04-05 10:27:29 EDT
Umm.. Hate you bug y'all.. But.. Is this going to be fixed? Theres a lot of
"auto upgrade" machines 
out there that are going to fail dismally from this.


Note You need to log in before you can comment on or make changes to this bug.